Bug 26033 - framapic is closing
Summary: framapic is closing
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-21 10:36 UTC by Jonathan Druart
Modified: 2020-09-15 01:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09, 19.05.15


Attachments
Bug 26033: Use pic.infini.fr instead of framapic (1.64 KB, patch)
2020-07-21 10:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26033: Use pic.infini.fr instead of framapic (1.70 KB, patch)
2020-07-23 18:49 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-07-21 10:36:06 UTC
We use it to upload screenshot of our selenium failures.
Comment 1 Jonathan Druart 2020-07-21 10:39:38 UTC
Created attachment 107143 [details] [review]
Bug 26033: Use pic.infini.fr instead of framapic

https://framapic.org/ is closing
"""
Framapic will be closing its doors on Tuesday, January 12, 2021. You will find a similar service on this page.
Uploading images is now disabled, but you can still retrieve your images on the My images page.
"""

https://framablog.org/2019/09/26/lets-de-frama-tify-the-internet/
https://framablog.org/2020/03/03/10-bonnes-raisons-de-fermer-certains-services-framasoft-la-5e-est-un-peu-bizarre/
(French)

We can still use another service. However we may think about hosting the
service ourself!

Test plan:
Modify a selenium script to make it fail (for instance modify the path
for a find_element call)
Run it
Confirm that the screenshot has been uploaded correctly and that the
link works
Comment 2 Victor Grousset/tuxayo 2020-07-23 18:49:59 UTC
Created attachment 107271 [details] [review]
Bug 26033: Use pic.infini.fr instead of framapic

https://framapic.org/ is closing
"""
Framapic will be closing its doors on Tuesday, January 12, 2021. You will find a similar service on this page.
Uploading images is now disabled, but you can still retrieve your images on the My images page.
"""

https://framablog.org/2019/09/26/lets-de-frama-tify-the-internet/
https://framablog.org/2020/03/03/10-bonnes-raisons-de-fermer-certains-services-framasoft-la-5e-est-un-peu-bizarre/
(French)

We can still use another service. However we may think about hosting the
service ourself!

Test plan:
Modify a selenium script to make it fail (for instance modify the path
for a find_element call)
Run it
Confirm that the screenshot has been uploaded correctly and that the
link works

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 3 Victor Grousset/tuxayo 2020-07-23 18:50:40 UTC
It work! :)
Comment 4 Victor Grousset/tuxayo 2020-07-23 19:02:20 UTC
Upping (if appropriate) the severity to major since it's important for this to be backported.
Because Framapic doesn't accept new uploads anymore.
I though initially that it would be for latter but no.

So the feature of the UI tests to take a screenshot in case of failure is currently not working. Hence the need of backporting.
Comment 5 Jonathan Druart 2020-07-24 15:02:43 UTC
Skipping QA.
Comment 6 Jonathan Druart 2020-07-24 15:03:00 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-07-31 20:25:18 UTC
backported to 20.05.x for 20.05.03
Comment 8 Aleisha Amohia 2020-08-03 23:41:48 UTC
backported to 19.11.x for 19.11.09
Comment 9 Victor Grousset/tuxayo 2020-09-15 01:24:41 UTC
Backported to 19.05.x branch for 19.05.15